Overview
GET
/chat/conversationschatList the caller's chat conversations
List conversations.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
Conversations
- idstring
- titlestring
- modelstring
- personaSlugstring?
- createdAtstring
- updatedAtstring
Example
[
{
"id": "string",
"title": "string",
"model": "string",
"personaSlug": "string",
"createdAt": "string",
"updatedAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/chat/conversations" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/conversations", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();